package com.foreverwin.mesnac.anomaly.controller;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */

import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONArray;
import com.foreverwin.mesnac.anomaly.service.ReportService;
import com.foreverwin.modular.core.util.CommonMethods;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/REPORT")
public class ReportController {

    @Autowired
    public ReportService reportService;

    /**
     * 接口日志表
     * @param map
     * @returnresourceRepair
     */
    @PostMapping("/findIntegrationLog")
    public R findIntegrationLog(@RequestBody(required = false)Map<String, Object> map){
        try{
            return R.ok(reportService.findIntegrationLog(map));
        }catch(Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 零件加工报表
     * @param map
     * @return
     */
    @PostMapping("/partsManufacturing")
    public R partsManufacturing(@RequestBody(required = false)Map<String, Object> map){
        try{
            return R.ok(reportService.partsManufacturing(map));
        }catch(Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 余料退回明细表
     * @param item
     * @param itemDescription
     * @return
     */
    @GetMapping("/surplusReturnTable")
    public R surplusReturnTable(String item,String itemDescription){
        try{
            return  R.ok(reportService.surplusReturnTable(item,itemDescription));
        }catch(Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 设备维修记录报表
     * @param map
     * @return
     */
    @PostMapping("/resourceRepair")
    public R resourceRepair(@RequestBody(required = false)Map map){
        return R.ok(reportService.resourceRepair(map));
    }

    /**
     * 查询质量检验任务
     *
     * @param paramMap
     * @return
     */
    @GetMapping("/findInspectionTask")
    public R findInspectionTask(@RequestParam(required = false) Map paramMap) {
        try {
            paramMap.put("site", CommonMethods.getSite());
            List<Map<String, Object>> result = reportService.findInspectionTask(paramMap);
            return R.ok(result);
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 质检问题统计表
     * @param paramMap
     * @return
     */
    @PostMapping("/findQualityInspectionReport")
    public R findQualityInspectionReport(@RequestBody(required = false) Map paramMap) {
        try{
            List<Map<String, Object>> result = reportService.findQualityInspectionReport(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 异常记录表
     * @param paramMap
     * @return
     */
    @PostMapping("/findAbnormalRecord")
    public R findAbnormalRecord(@RequestBody(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.findAbnormalRecord(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工单生产进度报表
     * @param paramMap
     * @return
     */
    @GetMapping("/shopOrderSchedule")
    public R shopOrderSchedule(@RequestParam(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.shopOrderSchedule(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }
    /**
     * 零件生产过程追溯报表
     * @param paramMap
     * @return
     */
    @GetMapping("/partsTraceScheduleReport")
    public R partsTraceScheduleReport(@RequestParam(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.partsTraceScheduleReport(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     *
     * 入库查询报表
     * @param paramMap
     * @return
     */
    @GetMapping("/importStoreQueryReports")
    public R importStoreQueryReports(@RequestParam(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.importStoreQueryReports(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }
    /**
     * 原材料追溯报表
     * @param paramMap
     * @return
     */
    @GetMapping("/itemTraceScheduleReport")
    public R itemTraceScheduleReport(@RequestParam(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.itemTraceScheduleReport(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }
    /**
     * 资源任务明细报表
     * @param paramMap
     * @return
     */
    @GetMapping("/resourceTaskDetailReport")
    public R resourceTaskDetailReport(@RequestParam(required = false) Map paramMap){
        try{
            List<Map<String, Object>> result = reportService.resourceTaskDetailReport(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目进度报表
     * @param paramMap
     * @return
     */
    @GetMapping("/projectScheduleReport")
    public R ProjectScheduleReport(@RequestParam(required = false) Map paramMap){
        try{
            Map<String, Object> result = reportService.ProjectScheduleReport(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 事业部项目进度明细看板
     * @param paramMap
     * @return
     */
    @GetMapping("/projectScheduleReportBoard")
    public R projectScheduleReportBoard(@RequestParam(required = false) Map paramMap){
        try{
            Map<String, Object> result = reportService.projectScheduleReportBoard(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 查找用户用户组
     * @param paramMap
     * @return
     */
    @GetMapping("/findUserGroupList")
    public R findUserGroupList(@RequestParam(required = false) Map paramMap){
        try{
            Map<String, Object> result = reportService.findUserGroupList(paramMap);
            return R.ok(result);
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    @GetMapping("/findOperatorScheduleReport")
    public R findOperatorScheduleReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.findOperatorScheduleReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工作令加工进度表
     */
    @GetMapping("/findWorkOrderSchedule")
    public R findWorkOrderSchedule(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.findWorkOrderSchedule(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     *
     * 质量返修报表
     */
    @GetMapping("/qualityRepairReport")
    public R qualityRepairReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.qualityRepairReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 事业部质量看板数据接口
     * @param
     * @return
     */
    @GetMapping("/qualityShows")
    public R qualityShows(String user){
        try {
            return R.ok(reportService.qualityShows(user));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 事业部项目进度看板数据接口
     * @param
     * @return
     */
    @GetMapping("/projectScheduleShow")
    public R projectScheduleShow(String user){
        try {
            return R.ok(reportService.projectScheduleShow(user));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 资源负荷率报表(上工序已完成)
     * @param paramMap
     * @return
     */
    @GetMapping("/loadRatePreviousCompletedReport")
    public R loadRatePreviousCompletedReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.loadRatePreviousCompletedReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 资源负荷率报表(周维度)
     * @param paramMap
     * @return
     */
    @GetMapping("/weekLoadRateReport")
    public R weekLoadRateReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.weekLoadRateReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 资源负荷率报表(月维度)
     * @param paramMap
     * @return
     */
    @GetMapping("/monthLoadRateReport")
    public R monthLoadRateReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.monthLoadRateReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }
    /**
     * 交付及时率报表(周维度)
     * @param paramMap
     * @return
     */
    @GetMapping("/weekDeliveryRateReport")
    public R weekDeliveryRateReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.weekDeliveryRateReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 交付及时率报表(月维度)
     * @param paramMap
     * @return
     */
    @GetMapping("/monthDeliveryRateReport")
    public R monthDeliveryRateReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.monthDeliveryRateReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目生产加工周期报表
     * @param paramMap
     * @return
     */
    @GetMapping("/itemProductProgressReport")
    public R itemProductProgressReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.itemProductProgressReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目加工周期报表
     * @param paramMap
     * @return
     */
    @GetMapping("/projectProcessingCycleReport")
    public R projectProcessingCycleReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.projectProcessingCycleReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 质量检验响应时间报表
     * @param paramMap
     * @return
     */
    @GetMapping("/qualityInspectionResponseReport")
    public R qualityInspectionResponseReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.qualityInspectionResponseReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目空闲时间统计报表
     * @param paramMap
     * @return
     */
    @GetMapping("/projectIdleTimeStatisticsReport")
    public R projectIdleTimeStatisticsReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.projectIdleTimeStatisticsReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 上工序已完成报表
     * @param paramMap
     * @return
     */
    @GetMapping("/lastOperationCompletedReport")
    public R lastOperationCompletedReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.lastOperationCompletedReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 订单查询报表
     * @param paramMap
     * @return
     */
    @GetMapping("/orderQueryReportReport")
    public R orderQueryReportReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.orderQueryReportReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 已派工工单明细报表
     * @param paramMap
     * @return
     */
    @GetMapping("/assignedWorkersOrdersReport")
    public R assignedWorkersOrdersReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.assignedWorkersOrdersReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工作令有效生产报表
     * @param paramMap
     * @return
     */
    @GetMapping("/workOrderEffectiveProductionReport")
    public R workOrderEffectiveProductionReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.workOrderEffectiveProductionReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 机加车间零部件工序效率报表
     * @param paramMap
     * @return
     */
    @GetMapping("/JJComponentProcessEfficiencyReport")
    public R JJComponentProcessEfficiencyReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.JJComponentProcessEfficiencyReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工时统计报表
     * @param paramMap
     * @return
     */
    @GetMapping("/monthTimeStatisticsReport")
    public R monthTimeStatisticsReport(@RequestParam(required = false) Map paramMap){
        try{
            return R.ok(reportService.monthTimeStatisticsReport(paramMap));
        }catch (Exception e){
            return R.failed(e.getMessage());
        }
    }

    /**
     * 质量问题统计表
     * @param
     * @return
     */
    @PostMapping("/qualityProblemsInfoReport")
    public R qualityProblemsInfoReport(@RequestBody(required = false) Map paramMap){
        try {
            return R.ok(reportService.qualityProblemsInfoReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 机台已完工工时报表
     * @param
     * @return
     */
    @GetMapping("/machineFinishedTimeReport")
    public R machineFinishedTimeReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.machineFinishedTimeReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目齐套率报表
     * @param
     * @return
     */
    @GetMapping("/projectAlignmentRateReport")
    public R projectAlignmentRateReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.projectAlignmentRateReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工时统计报表(客户维度)
     * @param
     * @return
     */
    @GetMapping("/timeStatisticsCustomerReport")
    public R timeStatisticsCustomerReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.timeStatisticsCustomerReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工时统计报表(车间维度)
     * @param
     * @return
     */
    @GetMapping("/timeStatisticsWorkshopReport")
    public R timeStatisticsWorkshopReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.timeStatisticsWorkshopReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工时统计-车间维度看板
     * @param
     * @return
     */
    @GetMapping("/financialWorkHoursBoard")
    public R financialWorkHoursBoard(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.financialWorkHoursBoard(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     *
     * 客户维度已完工工时报表
     * @param
     * @return
     */
    @GetMapping("/customerDimensionFinishedTimeReport")
    public R customerDimensionFinishedTimeReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.customerDimensionFinishedTimeReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     *
     * 上下料表维护
     * @param
     * @return
     */
    @GetMapping("/inventoryTableSave")
    public R inventoryTableSave(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.inventoryTableSave(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 设备稼动率报表
     * @param
     * @return
     */
    @GetMapping("/operationRateOfEquipmentReport")
    public R operationRateOfEquipmentReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.operationRateOfEquipmentReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 焊前件周转报表
     * @param
     * @return
     */
    @GetMapping("/weldingForepartsTurnoverReport")
    public R weldingForepartsTurnoverReport(@RequestParam(required = false) Map paramMap){
        try {
            return R.ok(reportService.weldingForepartsTurnoverReport(paramMap));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 工时看板
     * @param
     * @return
     */
    @GetMapping("/workHoursBoard")
    public R workHoursBoard(String workCenter){
        try {
            return R.ok(reportService.workHoursBoard(workCenter));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 项目生产加工周期看板
     * @param
     * @return
     */
    @GetMapping("/projectPlanningProgress")
    public R projectPlanningProgress(String user){
        try {
            return R.ok(reportService.projectPlanningProgress(user));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }



    /**
     * 设备产能负荷看板
     * @param
     * @return
     */
    @GetMapping("/capacityLoad")
    public R capacityLoad(String workCenter){
        try {
            return R.ok(reportService.capacityLoad(workCenter));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }

    /**
     * 制造中心检验看板
     * @param
     * @return
     */
    @GetMapping("/manufacturingPlanning")
    public R manufacturingPlanning(String workCenter){
        try {
            return R.ok(reportService.manufacturingPlanning(workCenter));
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }
    }
}
