package com.foreverwin.mesnac.anomaly.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillDispose;
import com.foreverwin.mesnac.anomaly.model.Photos;
import lombok.Builder;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * 质量系统传参
 * @Author YinQ
 * @create 2022-08-02 13:43
 */
@Data
@Builder
@JsonInclude(value= JsonInclude.Include.NON_NULL)
public class QualitySystemDto {

    /**
     * 异常单号
     */
    private String abnormalbill_no;
    /**
     * 异常车间
     */
    private String abnormalbill_workshop;//异常车间
    /**
     * 物料编码
     */
    private String material_code;//物料编码
    /**
     * 物料描述
     */
    private String material_description;//物料编码
    /**
     * 工单
     */
    private String shop_order;//工单
    /**
     * 图号
     */
    private String drawing_number;//图号
    /**
     * 产品条码
     */
    private String product_barcode;//产品条码
    /**
     * 工作令
     */
    private String work_order;//工作令
    /**
     * 项目编号
     */
    private String item_number;//项目编号
    /**
     * 产品类别
     */
    private String product_category;//产品类别
    /**
     * 提报用户组
     */
    private String submission_users;//提报用户组
    /**
     * 工序编码
     */
    private String working_procedure_code;//工序编码
    /**
     * 发起时间
     */
    private Date submit_date;

    /**
     * 问题提报人
     */
    private String submission_man_employee_no;

    /**
     * 表单标题
     */
    private String name;

    /**
     * 检验人员员工号
     */
    private String test_user_employeeNo;

    /**
     *  提报人员工号
     */
    private String submission_man_employeeNo;


    /**
     * 问题描述
     */
    private String problem_description;//问题描述
    /**
     * 不良代码组
     */
    private String bad_code_group;//不良代码组
    /**
     * 不良代码
     */
    private String bad_code;//不良代码
    /**
     * 不良品数量
     */
    private String rejects_number;//不良品数量
    /**
     * 问题等级
     */
    private String problem_level;//问题等级
    /**
     * 检验人员
     */
    private String test_user;//检验人员
    /**
     * 问题数量
     */
    private String problem_number;//问题数量
    /**
     * 发现环节
     */
    private String discover_link;//发现环节
    /**
     * 实物位置
     */
    private String entity_location;//实物位置
    /**
     * 上报来源
     */
    private String report_from;//上报来源
    /**
     * 问题照片
     */
    private List<Photos> problem_photos;//问题照片


    /**
     * 原因分析
     */
    private String cause_analysis;//原因分析
    /**
     * 原因分类
     */
    private String reason_type;//原因分类
    /**
     * 责任分类
     */
    private String responsibility_type;//责任分类
    /**
     * 责任部门
     */
    private String problem_owner_depart;//责任部门
    /**
     * 责任人
     */
    private String problem_owner_name;//责任人
    /**
     * 发送用户组
     */
    private String send_user_group;//发送用户组


    /**
     * 异常方案
     */
    private String abnormalbill_programme;//异常方案
    /**
     * 返修工艺路线
     */
    private String repair_process_route;//返修工艺路线
    /**
     * 返修工艺版本
     */
    private String repair_process_version;//返修工艺版本
    /**
     * 返修工单
     */
    private String repair_workorder;//返修工单
    //解决方案发送用户组
    /**
     * 返修工艺内容
     */
    private String repair_process_content;//返修工艺内容
    /**
     * 方案备注
     */
    private String programme_remark;//方案备注


    /**
     * 异常原因
     */
    private String abnormalbill_reason;//异常原因
    /**
     * 预防措施
     */
    private String preventive_measure;//预防措施
    /**
     * 整改记录照片（问题照片）
     */
    private List<Photos> rectification_record_photos;//整改记录照片


    /**
     * 效果验证结果
     */
    private String effect_verification_results;//效果验证结果

    /**
     * 方案会签人
     */
    private String programme_sign_man;//方案会签人


    /**
     * 材质
     */
    private String texture;

}
