package com.foreverwin.mesnac.anomaly.mapper;

import com.foreverwin.mesnac.anomaly.dto.IntegrationLogDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
@Repository
public interface ReportMapper {

    List<IntegrationLogDto> findIntegrationLog(@Param("site")String site, @Param("param") Map<String,Object> map);

    List<Map<String, Object>> partsManufacturing(Map<String,Object> map);

    List<Map<String,Object>> surplusReturnTable(@Param("site")String site, @Param("locale")String locale,
                                           @Param("item")String item, @Param("itemDescription")String itemDescription);

    List<Map<String,Object>> resourceRepair(@Param("site")String site, @Param("locale")String locale,
                                                @Param("param")Map<String, Object> map);


    List<Map<String, Object>> findInspectionTask(Map paramMap);

    /**
     * 查询质检问题统计表
     * @param paramMap
     * @return
     */
    List<Map<String,Object>> findQualityInspectionReport(Map paramMap);

    List<Map<String,Object>> findAbnormalRecord(Map paramMap);

    /**
     * 工单生产进度报表
     * @param paramMap
     * @return
     */
    List<Map<String,Object>> shopOrderSchedule(Map paramMap);

    /**
     * 操作者加工进度表
     * @param paramMap 参数
     * @return 返回值
     */
    List<Map<String,Object>> findOperatorScheduleReport(Map paramMap);

    /**
     * 工作令加工进度表
     * @param paramMap 参数
     * @return 返回值
     */
    List<Map<String,Object>> findWorkOrderSchedule(Map paramMap);

    /**
     * 零件生产过程追溯报表
     * @param paramMap
     * @return
     */
    List<Map<String,Object>> partsTraceScheduleReport(Map paramMap);

    /**
     * 原材料追溯报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> itemTraceScheduleReport(Map paramMap);

    /**
     * 资源任务明细报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> resourceTaskDetailReport(Map paramMap);

    /**
     * 项目进度报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> ProjectScheduleReport(Map paramMap);

    /**
     * 取返修步骤原计划完成时间
     * @param paramMap
     * @return
     */
    Map<String, Object> selectCurrentPlanTime(Map paramMap);


    List<Map<String,String>> qualityShows(@Param("user") String user,@Param("site") String site);
    Map<String,String> documentInformation(@Param("user") String user);

    List<String>  dutyCauseType(@Param("user") String user);

    List<Map<String,String>>  dutyCauseTypeDescription();

    List<Map<String, String>> abnormalQuality(@Param("user") String user);

    List<Map<String, String>> projectScheduleShow(@Param("user") String user);

    List<Map<String, String>> projectScheduleShowBoard(@Param("user") String user);

    List<Map<String, String>> projectPlanningProgress(@Param("user") String user);

    /**
     * 质量返修报表
     * @param paramMap
     * @return
     */
    List<Map<String,Object>> qualityRepairReport(Map paramMap);

    /**
     * 资源负荷率报表(周维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> weekLoadRateReport(Map paramMap);

    /**
     * 资源负荷率报表(月维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> monthLoadRateReport(Map paramMap);

    /**
     * 交付及时率报表(周维度)
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> weekDeliveryRateReport(Map paramMap);

    /**
     * 交付及时率报表(周维度)
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> monthDeliveryRateReport(Map paramMap);

    List<Map<String, Object>> itemProductProgressReport(Map paramMap);

    /**
     * 质量检验响应时间报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> qualityInspectionResponseReport(Map paramMap);

    /**
     * 设备产能负荷看板
     * @param workCenter
     * @return
     */
    List<Map<String, String>> capacityLoad(String workCenter);

    List<Map<String, String>> capacityLoadAllInfo(@Param("workCenter") String workCenter);


    LinkedHashMap<String, String> sixShopOrderQTY(String workCenter);

    LinkedHashMap<String, String> sixWorkCenterHoursQTY(String workCenter);

    List<Map<String, String>> nearFifteenDayRate(String workCenter);

    List<Map<String, String>> departmentForNonconformity(String workCenter);

    List<Map<String, String>> workingHoursEachWorkshop(String workCenter);

    List<Map<String, String>> workingHoursYearContrast(String workCenter);

    List<Map<String, String>> workshopDeliveryRateList(String workCenter);

    List<Map<String, String>> NCTop5RateList(String workCenter);

    /**
     * 入库查询报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> importStoreQueryReports(Map paramMap);

    /**
     * 项目空闲时间统计报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> projectIdleTimeStatisticsReport(Map paramMap);

    /**
     * 项目加工周期报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> projectProcessingCycleReport(Map paramMap);

    /**
     * 上工序已完成报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> lastOperationCompletedReport(Map paramMap);

    /**
     * 订单查询报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> orderQueryReportReport(Map paramMap);

    /**
     * 已派工工单明细报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> assignedWorkersOrdersReport(Map paramMap);

    /**
     * 工时统计报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> monthTimeStatisticsReport(Map paramMap);

    /**
     * 质量问题统计表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> qualityProblemsInfoReport(Map paramMap);

    /**
     * 工作令有效生产报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> workOrderEffectiveProductionReport(Map paramMap);

    /**
     * 机台已完工工时报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> machineFinishedTimeReport(Map paramMap);

    /**
     * 客户维度已完工工时报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> customerDimensionFinishedTimeReport(Map paramMap);

    List<Map<String, String>> workHoursCompletedBusinessUnit(String workCenter);

    List<Map<String, String>> customerDimensionFinishedTimeReportNotWorkCenter(Map paramMap);

    Map<String, String> getCapacityLoadUNPlanHours(@Param("workCenter") String workCenter);

    /**
     * 项目齐套率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> projectAlignmentRateReport(Map paramMap);

    /**
     * 机加车间零部件工序效率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> JJComponentProcessEfficiencyReport(Map paramMap);

    /**
     * 工时统计报表(客户维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> timeStatisticsCustomerReport(Map paramMap);

    /**
     * 工时统计报表(车间维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> timeStatisticsWorkshopReport(Map paramMap);

    /**
     * 根据异常单号查duty
     * @param abnormalNo
     * @return
     */
    Map<String, String> findAbnormalDutyByAbnormalNo(@Param("site") String site,@Param("abnormalNo") String abnormalNo);

    /**
     * 根据sfc和stepId查duty
     * @param sfc
     * @param stepId
     * @return
     */
    Map<String, String> findAbnormalDutyBySFCAndStepId(@Param("site") String site,@Param("sfc") String sfc,@Param("stepId") String stepId);

    /**
     * 资源负荷率报表(上工序已完成)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> loadRatePreviousCompletedReport(Map paramMap);

    /**
     * 事业部项目进度明细看板
     * @param paramMap
     * @return
     */
    List<Map<String, String>> projectScheduleReportBoard(Map paramMap);

    List<Map<String, String>>  totalWorkingHoursCompletedThisYear(String workCenter);

    /**
     * 上下料表维护
     * @param paramMap
     * @return
     */
    List<Map<String, String>> inventoryTableSave(Map paramMap);

    /**
     * 设备稼动率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> operationRateOfEquipmentReport(Map paramMap);

    /**
     * 焊前件周转报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> weldingForepartsTurnoverReport(Map paramMap);
}
