package com.foreverwin.mesnac.anomaly.model;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;

/**
 * <p>
 * 设备资产明细
 * </p>
 *
 * @author YinQ
 * @since 2022-09-16
 */

@TableName("Z_EQUIPMENT_ASSET_DETAILS")
@Data
public class EquipmentAssetDetails extends Model<EquipmentAssetDetails> {

    /**
     * 主键
     */
    @ExcelColumn(value = "主键")
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 场地
     */
    @ExcelColumn(value = "场地")
    @TableField("SITE")
    private String site;
    /**
     * 所属车间
     */
    @ExcelColumn(value = "所属车间")
    @TableField("BELONG_WORKSHOP")
    private String belongWorkshop;
    /**
     * 班组
     */
    @ExcelColumn(value = "班组")
    @TableField("TEAM")
    private String team;
    /**
     * 资产类别
     */
    @ExcelColumn(value = "资产类别")
    @TableField("ASSET_CLASSES")
    private String assetClasses;
    /**
     * 资产编号
     */
    @ExcelColumn(value = "资产编号")
    @TableField("ASSET_NUMBERS")
    private String assetNumbers;
    /**
     * 资产描述
     */
    @ExcelColumn(value = "资产描述")
    @TableField("ASSET_DESCRIPTION")
    private String assetDescription;
    /**
     * 资本化日期
     */
    @ExcelColumn(value = "资本化日期")
    @TableField("CAPITALIZATION_DATE")
    private LocalDateTime capitalizationDate;
    /**
     * 资产位置(建筑名+房间)
     */
    @ExcelColumn(value = "资产位置(建筑名+房间)")
    @TableField("ASSET_LOCATION")
    private String assetLocation;
    /**
     * 操作者
     */
    @ExcelColumn(value = "操作者")
    @TableField("OPERATORS")
    private String operators;
    /**
     * SAP工作中心代码
     */
    @ExcelColumn(value = "SAP工作中心代码")
    @TableField("SAP_WORK_CENTER_CODE")
    private String sapWorkCenterCode;
    /**
     * SAP工作中心描述
     */
    @ExcelColumn(value = "SAP工作中心描述")
    @TableField("SAP_WORK_CENTER_DESCRIPTION")
    private String sapWorkCenterDescription;
    /**
     * 设备状态
     */
    @ExcelColumn(value = "设备状态")
    @TableField("EQUIPMENT_STATE")
    private String equipmentState;
    /**
     * 上次维护时间
     */
    @ExcelColumn(value = "上次维护时间")
    @TableField("LAST_TIME")
    private LocalDateTime lastTime;
    /**
     * 保留列1
     */
    @ExcelColumn(value = "COLUMN_1")
    @TableField("COLUMN_1")
    private String column1;
    /**
     * 保留列2
     */
    @ExcelColumn(value = "COLUMN_2")
    @TableField("COLUMN_2")
    private String column2;
    /**
     * 保留列3
     */
    @ExcelColumn(value = "COLUMN_3")
    @TableField("COLUMN_3")
    private String column3;
    /**
     * 创建人
     */
    @ExcelColumn(value = "CREATED_BY")
    @TableField("CREATED_BY")
    private String createdBy;
    /**
     * 创建时间
     */
    @ExcelColumn(value = "CREATED_TIME")
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;
    /**
     * 更新人
     */
    @ExcelColumn(value = "UPDATED_BY")
    @TableField("UPDATED_BY")
    private String updatedBy;
    /**
     * 更新时间
     */
    @ExcelColumn(value = "UPDATED_TIME")
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    @TableField(exist = false)
    @ExcelColumn(value = "SEQ")
    private Integer SEQ;

}