package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;

/**
 * <p>
 * 改善提案报告书
 * </p>
 *
 * @author YinQ
 * @since 2022-09-19
 */

@TableName("Z_IMPROVEMENT_PROPOSALS")
@Data
public class ImprovementProposals extends Model<ImprovementProposals> {

    /**
     * 主键
     */
    @ExcelColumn(value = "HANDLE")
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 场地
     */
    @ExcelColumn(value = "SITE")
    @TableField("SITE")
    private String site;
    /**
     * 上传车间
     */
    @ExcelColumn(value = "上传车间")
    @TableField("UPLOAD_CENTER")
    private String uploadCenter;
    /**
     * 上传人员
     */
    @ExcelColumn(value = "上传人员")
    @TableField("UPLOAD_USER")
    private String uploadUser;
    /**
     * 序列码
     */
    @ExcelColumn(value = "SEQUENCE_CODE")
    @TableField("SEQUENCE_CODE")
    private String sequenceCode;
    /**
     * 项目名称
     */
    @ExcelColumn(value = "项目名称")
    @TableField("PROJECT_NUMBER")
    private String projectNumber;
    /**
     * 改善类别
     */
    @ExcelColumn(value = "改善类别")
    @TableField("CLASSIFY")
    private String classify;
    /**
     * 项目负责人
     */
    @ExcelColumn(value = "项目负责人")
    @TableField("PROJECT_LEADER")
    private String projectLeader;
    /**
     * 实施成员
     */
    @ExcelColumn(value = "实施成员")
    @TableField("MEMBERS")
    private String members;
    /**
     * 实施日期
     */
    @ExcelColumn(value = "实施日期")
    @TableField("MATERIAL_DATE")
    private LocalDateTime materialDate;
    /**
     * 改善前具体问题描述
     */
    @ExcelColumn(value = "改善前具体问题描述")
    @TableField("BEFORE_PROBLEMS")
    private String beforeProblems;
    /**
     * 改善前图片
     */
    @ExcelColumn(value = "改善前图片")
    @TableField("BEFORE_PICTURE")
    private String beforePicture;
    /**
     * 改善后改善方案及过程
     */
    @ExcelColumn(value = "改善后改善方案及过程")
    @TableField("AFTER_PLAN")
    private String afterPlan;
    /**
     * 改善后图片
     */
    @ExcelColumn(value = "改善后图片")
    @TableField("AFTER_PICTURE")
    private String afterPicture;
    /**
     * 改善效果
     */
    @ExcelColumn(value = "改善效果")
    @TableField("IMPROVE_EFFECT")
    private String improveEffect;
    /**
     * 部门负责人意见
     */
    @ExcelColumn(value = "部门负责人意见")
    @TableField("PRINCIPAL_OPINION")
    private String principalOpinion;
    /**
     * 建议奖励金额
     */
    @ExcelColumn(value = "建议奖励金额")
    @TableField("PROPOSED_AMOUNT")
    private String proposedAmount;
    /**
     * 最终奖励金额
     */
    @ExcelColumn(value = "最终奖励金额")
    @TableField("FINAL_AMOUNT")
    private String finalAmount;
    /**
     * 提案改善推进小组意见
     */
    @ExcelColumn(value = "提案改善推进小组意见")
    @TableField("GROUP_VIEWS")
    private String groupViews;
    /**
     * 总经理审批意见
     */
    @ExcelColumn(value = "总经理审批意见")
    @TableField("MANAGER_VIEWS")
    private String managerViews;
    /**
     * 创建人
     */
    @ExcelColumn(value = "CREATED_BY")
    @TableField("CREATED_BY")
    private String createdBy;
    /**
     * 创建时间
     */
    @ExcelColumn(value = "CREATED_TIME")
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;
    /**
     * 更新人
     */
    @ExcelColumn(value = "UPDATED_BY")
    @TableField("UPDATED_BY")
    private String updatedBy;
    /**
     * 更新时间
     */
    @ExcelColumn(value = "UPDATED_TIME")
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    @TableField(exist = false)
    @ExcelColumn(value = "SEQ")
    private Integer SEQ;

    @TableField("IS_DELETE")
    @ExcelColumn(value = "IS_DELETE")
    private String isDelete;

}