package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 临时修复表
 * </p>
 *
 * @author Y.Q
 * @since 2022-09-08
 */

@TableName("Z_TEMPORARY_FIX")
@Data
public class TemporaryFix extends Model<TemporaryFix> {

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   @ExcelColumn(value = "handle")
   private String handle;
    /**
     * 场地
     */
   @TableField("SITE")
   @ExcelColumn(value = "site")
   private String site;
    /**
     * 委托日期
     */
   @TableField("ENTRUST_DATE")
   @ExcelColumn(value = "委托日期")
   @JsonFormat(shape=JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
   private String entrustDate;
    /**
     * 委托/联系单位
     */
   @TableField("ENTRUST_UNIT")
   @ExcelColumn(value = "委托/联系单位")
   private String entrustUnit;
    /**
     * 责任主体/人
     */
   @TableField("DUTY_PERSON")
   @ExcelColumn(value = "责任主体/人")
   private String dutyPerson;
    /**
     * 责任原因
     */
   @TableField("DUTY_REASON")
   @ExcelColumn(value = "责任原因")
   private String dutyReason;
    /**
     * 项目号
     */
   @TableField("PROJECT_NUMBER")
   @ExcelColumn(value = "项目号")
   private String projectNumber;
    /**
     * 质量评审单号
     */
   @TableField("QUALITY_REVIEW_NUMBER")
   @ExcelColumn(value = "质量评审单号")
   private String qualityReviewNumber;
    /**
     * 工作联络单号
     */
   @TableField("WORK_CONTACT_NUMBER")
   @ExcelColumn(value = "工作联络单号")
   private String workContactNumber;
    /**
     * 物料编码
     */
   @TableField("MATERIAL_CODE")
   @ExcelColumn(value = "物料编码")
   private String materialCode;
    /**
     * 物料名称
     */
   @TableField("MATERIAL_NAME")
   @ExcelColumn(value = "物料名称")
   private String materialName;
    /**
     * 图号
     */
   @TableField("MAP_NO")
   @ExcelColumn(value = "图号")
   private String mapNo;
    /**
     * 数量
     */
   @TableField("AMOUNT")
   @ExcelColumn(value = "数量")
   private String amount;
    /**
     * 单件工时
     */
   @TableField("SINGLE_WORK_HOURS")
   @ExcelColumn(value = "单件工时")
   private String singleWorkHours;
    /**
     * 总工时
     */
   @TableField("TOTAL_WORK_HOURS")
   @ExcelColumn(value = "总工时")
   private String totalWorkHours;
    /**
     * 机时
     */
   @TableField("MACHINE_HOURS")
   @ExcelColumn(value = "机时")
   private String machineHours;
    /**
     * 操作者
     */
   @TableField("OPERATOR")
   @ExcelColumn(value = "操作者")
   private String operator;
    /**
     * 使用设备
     */
   @TableField("USE_DEVICE")
   @ExcelColumn(value = "使用设备")
   private String useDevice;
    /**
     * 设备型号
     */
   @TableField("DEVICE_TYPE")
   @ExcelColumn(value = "设备型号")
   private String deviceType;
    /**
     * 成本中心
     */
   @TableField("COST_CENTER")
   @ExcelColumn(value = "成本中心")
   private String costCenter;

    /**
     * 上传车间
     */
    @TableField("UPLOAD_CENTER")
    @ExcelColumn(value = "上传车间")
    private String uploadCenter;
    /**
     * 上传人员
     */
    @TableField("UPLOAD_USER")
    @ExcelColumn(value = "上传人员")
    private String uploadUser;
    /**
     * 分类
     */
    @TableField("CLASSIFY")
    @ExcelColumn(value = "分类")
    private String classify;
    /**
     * 责任分类
     */
    @TableField("DUTY_CLASSIFY")
    @ExcelColumn(value = "责任分类")
    private String dutyClassify;
    /**
     * 用工属性
     */
    @TableField("EMPLOY_PROPERTY")
    @ExcelColumn(value = "用工属性")
    private String employProperty;
    /**
     * 工作中心代码
     */
    @TableField("CENTER_CODE")
    @ExcelColumn(value = "工作中心代码")
    private String centerCode;

    /**
     * 创建人
     */
   @TableField("CREATED_BY")
   @ExcelColumn(value = "createdBy")
   private String createdBy;
    /**
     * 创建时间
     */
   @TableField("CREATED_TIME")
   @ExcelColumn(value = "createdTime")
   private LocalDateTime createdTime;
    /**
     * 更新人
     */
   @TableField("UPDATED_BY")
   @ExcelColumn(value = "updatedBy")
   private String updatedBy;
    /**
     * 更新时间
     */
   @TableField("UPDATED_TIME")
   @ExcelColumn(value = "updatedTime")
   private LocalDateTime updatedTime;

    /**
     * 其他种类单据号
     */
    @ExcelColumn(value = "其他种类单据号")
    @TableField("OTHER_KINDS_NUMBER")
    private String otherKindsNumber;

   @TableField(exist = false)
   @ExcelColumn(value = "SEQ")
   private Integer SEQ;




}