package com.foreverwin.mesnac.anomaly.model;


import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDate;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import com.baomidou.mybatisplus.annotation.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * SAP工作中心明细
 * </p>
 *
 * @author YinQ
 * @since 2022-11-29
 */

@TableName("Z_WORK_CENTRE_DETAILS")
@Data
public class WorkCentreDetails extends Model<WorkCentreDetails> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelColumn(value = "主键")
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 场地
     */
    @ExcelColumn(value = "场地")
    @TableField("SITE")
    private String site;
    /**
     * 车间工作中心编号
     */
    @ExcelColumn(value = "车间工作中心编号")
    @TableField("WORKSHOP_WORK_CENTER_NO")
    private String workshopWorkCenterNo;
    /**
     * 车间
     */
    @ExcelColumn(value = "车间")
    @TableField("WORKSHOP")
    private String workshop;
    /**
     * 工作中心
     */
    @ExcelColumn(value = "工作中心")
    @TableField("WORK_CENTER")
    private String workCenter;
    /**
     * 工作中心描述
     */
    @ExcelColumn(value = "工作中心描述")
    @TableField("WORK_CENTER_DESCRIPTION")
    private String workCenterDescription;
    /**
     * 有效期起始日期
     */
    @ExcelColumn(value = "有效期起始日期")
    @TableField("EFFECTIVE_START_DATE")

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate effectiveStartDate;
    /**
     * 有效期截止日期
     */
    @ExcelColumn(value = "有效期截止日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate effectiveEndDate;
    /**
     * 成本中心
     */
    @ExcelColumn(value = "成本中心")
    @TableField("COST_CENTER")
    private String costCenter;
    /**
     * 成本中心描述
     */
    @ExcelColumn(value = "成本中心描述")
    @TableField("COST_CENTER_DESCRIPTION")
    private String costCenterDescription;
    /**
     * 保留列1
     */
    @ExcelColumn(value = "保留列1")
    @TableField("OTHER_ONE")
    private String otherOne;
    /**
     * 保留列2
     */
    @ExcelColumn(value = "保留列2")
    @TableField("OTHER_TWO")
    private String otherTwo;
    /**
     * 保留列3
     */
    @ExcelColumn(value = "保留列3")
    @TableField("OTHER_THREE")
    private String otherThree;
    /**
     * 创建人
     */
    @ExcelColumn(value = "创建人")
    @TableField("CREATED_BY")
    private String createdBy;
    /**
     * 创建时间
     */
    @ExcelColumn(value = "创建时间")
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;
    /**
     * 更新人
     */
    @ExcelColumn(value = "更新人")
    @TableField("UPDATED_BY")
    private String updatedBy;
    /**
     * 更新时间
     */
    @ExcelColumn(value = "更新时间")
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    @TableField(exist = false)
    @ExcelColumn(value = "SEQ")
    private Integer SEQ;
}