package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import lombok.Data;

/**
 * <p>
 * 工时统计汇总表
 * </p>
 *
 * @author YinQ
 * @since 2022-12-16
 */

@TableName("Z_WORK_HOUR_STATISTICS")
@Data
public class WorkHourStatistics extends Model<WorkHourStatistics> {

    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    @ExcelColumn(value = "SEQ")
    private Integer SEQ;
    /**
     * 主键
     */
    @ExcelColumn(value = "主键")
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 场地
     */
    @ExcelColumn(value = "场地")
    @TableField("SITE")
    private String site;
    /**
     * 车间描述
     */
    @ExcelColumn(value = "车间描述")
    @TableField("WORK_CENTER_DESCRIPTION")
    private String workCenterDescription;
    /**
     * 岗位
     */
    @ExcelColumn(value = "岗位")
    @TableField("JOBS")
    private String jobs;
    /**
     * 姓名
     */
    @ExcelColumn(value = "姓名")
    @TableField("USER_NAME")
    private String userName;
    /**
     * 误工工时
     */
    @ExcelColumn(value = "误工工时")
    @TableField("DELAYS_HOURS")
    private String delaysHours;
    /**
     * 平均工时
     */
    @ExcelColumn(value = "平均工时")
    @TableField("AVERAGE_HOURS")
    private String averageHours;
    /**
     * 临时工时
     */
    @ExcelColumn(value = "临时工时")
    @TableField("TEMPORARY_HOURS")
    private String temporaryHours;
    /**
     * 新产品补偿工时
     */
    @ExcelColumn(value = "新产品补偿工时")
    @TableField("NEW_PRODUCT_HOURS")
    private String newProductHours;
    /**
     * 事业部返修工时
     */
    @ExcelColumn(value = "事业部返修工时")
    @TableField("REPAIR_HOURS")
    private String repairHours;
    /**
     * 工作联络单工时
     */
    @ExcelColumn(value = "工作联络单工时")
    @TableField("WORK_CONTACT_HOURS")
    private String workContactHours;
    /**
     * 质量问题返修工时
     */
    @ExcelColumn(value = "质量问题返修工时")
    @TableField("QUALITY_REWORK_HOURS")
    private String qualityReworkHours;
    /**
     * 系统内正常工时
     */
    @ExcelColumn(value = "系统内正常工时")
    @TableField("NORMAL_HOURS")
    private String normalHours;
    /**
     * 工时合计
     */
    @ExcelColumn(value = "工时合计")
    @TableField("TOTAL_HOURS")
    private String totalHours;
    /**
     * 标准工时
     */
    @ExcelColumn(value = "标准工时")
    @TableField("STANDARD_HOURS")
    private String standardHours;
    /**
     * 加班工时
     */
    @ExcelColumn(value = "加班工时")
    @TableField("OVERTIME_HOURS")
    private String overtimeHours;
    /**
     * 当月天数
     */
    @ExcelColumn(value = "当月天数")
    @TableField("MONTH_DAYS")
    private String monthDays;
    /**
     * 保留列1
     */
    @ExcelColumn(value = "保留列1")
    @TableField("OTHER_ONE")
    private String otherOne;
    /**
     * 保留列2
     */
    @ExcelColumn(value = "保留列2")
    @TableField("OTHER_TWO")
    private String otherTwo;
    /**
     * 创建人
     */
    @ExcelColumn(value = "创建人")
    @TableField("CREATED_BY")
    private String createdBy;
    /**
     * 创建时间
     */
    @ExcelColumn(value = "创建时间")
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;
    /**
     * 更新人
     */
    @ExcelColumn(value = "更新人")
    @TableField("UPDATED_BY")
    private String updatedBy;
    /**
     * 更新时间
     */
    @ExcelColumn(value = "更新时间")
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

}