package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;
import com.visiprise.frame.metadata.ddl.Column;


/**
 * <p>
 * 
 * </p>
 *
 * @author YANG.WL
 * @since 2022-10-19
 */

@TableName("Z_WX_ORDER")

public class WxOrder extends Model<WxOrder> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 项目号
     */
   @TableField("PROJECT_NUMBER")
   @ExcelColumn(value = "项目号")
   private String projectNumber;
    /**
     * 客户
     */
   @TableField("CUSTOMER")
   @ExcelColumn(value = "客户")
   private String customer;
    /**
     * 机型
     */
   @TableField("MODEL")
   @ExcelColumn(value = "机型")
   private String model;
    /**
     * 物料编码
     */
   @TableField("ITEM")
   @ExcelColumn(value = "物料编码")
   private String item;
    /**
     * 物料名称
     */
   @TableField("ITEM_DESCRIPTION")
   @ExcelColumn(value = "物料名称")
   private String itemDescription;
    /**
     * 图号
     */
   @TableField("DRAWING_NO")
   @ExcelColumn(value = "图号")
   private String drawingNo;
    /**
     * 数量
     */
   @TableField("QTY")
   @ExcelColumn(value = "数量")
   private Long qty;
    /**
     * 部套
     */
   @TableField("SUBASSEMBLIES")
   @ExcelColumn(value = "部套")
   private String subassemblies;
    /**
     * 表处理
     */
   @TableField("SURFACE")
   @ExcelColumn(value = "表处理")
   private String surface;
    /**
     * 厂编码
     */
   @TableField("FACTORY_NO")
   @ExcelColumn(value = "厂编码")
   private String factoryNo;
    /**
     * 外协厂
     */
   @TableField("FACTORY_DESCRIPTION")
   @ExcelColumn(value = "外协厂")
   private String factoryDescription;
    /**
     * 执行经理
     */
   @TableField("EXECUTIVE_MANAGER")
   @ExcelColumn(value = "执行经理")
   private String executiveManager;
    /**
     * 计划下发日期
     */

   @TableField("PLAN_RELEASE_DATE")
   @ExcelColumn(value = "计划下发日期")
   private LocalDateTime planReleaseDate;
    /**
     * 调货日期
     */
   @TableField("SEASON_CONDIMENTS_DATE")
   private LocalDateTime seasonCondimentsDate;
    /**
     * 收货日期
     */
   @TableField("RECEIPT_DATE")
   private LocalDateTime receiptDate;
    /**
     * 采购订单
     */
   @TableField("PURCHASE_ORDER")
   private String purchaseOrder;
   @TableField("REMARK1")
   private String remark1;
   @TableField("REMARK2")
   private String remark2;
    /**
     * 创建人员
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人员
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("OTHER_1")
   private String other1;
   @TableField("OTHER_2")
   private String other2;


   private List<WxOrderDto> categories;

    public List<WxOrderDto> getCategories() {
        return categories;
    }

    public void setCategories(List<WxOrderDto> categories) {
        this.categories = categories;
    }

    public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getProjectNumber() {
      return projectNumber;
   }

   public void setProjectNumber(String projectNumber) {
      this.projectNumber = projectNumber;
   }

   public String getCustomer() {
      return customer;
   }

   public void setCustomer(String customer) {
      this.customer = customer;
   }

   public String getModel() {
      return model;
   }

   public void setModel(String model) {
      this.model = model;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getItemDescription() {
      return itemDescription;
   }

   public void setItemDescription(String itemDescription) {
      this.itemDescription = itemDescription;
   }

   public String getDrawingNo() {
      return drawingNo;
   }

   public void setDrawingNo(String drawingNo) {
      this.drawingNo = drawingNo;
   }

   public Long getQty() {
      return qty;
   }

   public void setQty(Long qty) {
      this.qty = qty;
   }

   public String getSubassemblies() {
      return subassemblies;
   }

   public void setSubassemblies(String subassemblies) {
      this.subassemblies = subassemblies;
   }

   public String getSurface() {
      return surface;
   }

   public void setSurface(String surface) {
      this.surface = surface;
   }

   public String getFactoryNo() {
      return factoryNo;
   }

   public void setFactoryNo(String factoryNo) {
      this.factoryNo = factoryNo;
   }

   public String getFactoryDescription() {
      return factoryDescription;
   }

   public void setFactoryDescription(String factoryDescription) {
      this.factoryDescription = factoryDescription;
   }

   public String getExecutiveManager() {
      return executiveManager;
   }

   public void setExecutiveManager(String executiveManager) {
      this.executiveManager = executiveManager;
   }

   public LocalDateTime getPlanReleaseDate() {
      return planReleaseDate;
   }

   public void setPlanReleaseDate(LocalDateTime planReleaseDate) {
      this.planReleaseDate = planReleaseDate;
   }

   public LocalDateTime getSeasonCondimentsDate() {
      return seasonCondimentsDate;
   }

   public void setSeasonCondimentsDate(LocalDateTime seasonCondimentsDate) {
      this.seasonCondimentsDate = seasonCondimentsDate;
   }

   public LocalDateTime getReceiptDate() {
      return receiptDate;
   }

   public void setReceiptDate(LocalDateTime receiptDate) {
      this.receiptDate = receiptDate;
   }

   public String getPurchaseOrder() {
      return purchaseOrder;
   }

   public void setPurchaseOrder(String purchaseOrder) {
      this.purchaseOrder = purchaseOrder;
   }

   public String getRemark1() {
      return remark1;
   }

   public void setRemark1(String remark1) {
      this.remark1 = remark1;
   }

   public String getRemark2() {
      return remark2;
   }

   public void setRemark2(String remark2) {
      this.remark2 = remark2;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getOther1() {
      return other1;
   }

   public void setOther1(String other1) {
      this.other1 = other1;
   }

   public String getOther2() {
      return other2;
   }

   public void setOther2(String other2) {
      this.other2 = other2;
   }

public static final String HANDLE = "HANDLE";

public static final String PROJECT_NUMBER = "PROJECT_NUMBER";

public static final String CUSTOMER = "CUSTOMER";

public static final String MODEL = "MODEL";

public static final String ITEM = "ITEM";

public static final String ITEM_DESCRIPTION = "ITEM_DESCRIPTION";

public static final String DRAWING_NO = "DRAWING_NO";

public static final String QTY = "QTY";

public static final String SUBASSEMBLIES = "SUBASSEMBLIES";

public static final String SURFACE = "SURFACE";

public static final String FACTORY_NO = "FACTORY_NO";

public static final String FACTORY_DESCRIPTION = "FACTORY_DESCRIPTION";

public static final String EXECUTIVE_MANAGER = "EXECUTIVE_MANAGER";

public static final String PLAN_RELEASE_DATE = "PLAN_RELEASE_DATE";

public static final String SEASON_CONDIMENTS_DATE = "SEASON_CONDIMENTS_DATE";

public static final String RECEIPT_DATE = "RECEIPT_DATE";

public static final String PURCHASE_ORDER = "PURCHASE_ORDER";

public static final String REMARK1 = "REMARK1";

public static final String REMARK2 = "REMARK2";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String OTHER_1 = "OTHER_1";

public static final String OTHER_2 = "OTHER_2";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WxOrder{" +
         "handle = " + handle +
         ", projectNumber = " + projectNumber +
         ", customer = " + customer +
         ", model = " + model +
         ", item = " + item +
         ", itemDescription = " + itemDescription +
         ", drawingNo = " + drawingNo +
         ", qty = " + qty +
         ", subassemblies = " + subassemblies +
         ", surface = " + surface +
         ", factoryNo = " + factoryNo +
         ", factoryDescription = " + factoryDescription +
         ", executiveManager = " + executiveManager +
         ", planReleaseDate = " + planReleaseDate +
         ", seasonCondimentsDate = " + seasonCondimentsDate +
         ", receiptDate = " + receiptDate +
         ", purchaseOrder = " + purchaseOrder +
         ", remark1 = " + remark1 +
         ", remark2 = " + remark2 +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", other1 = " + other1 +
         ", other2 = " + other2 +
         "}";
   }
}