package com.foreverwin.mesnac.anomaly.service;

import com.foreverwin.mesnac.anomaly.dto.IntegrationLogDto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
public interface ReportService {
    List<IntegrationLogDto> findIntegrationLog(Map<String,Object> map);

    List<Map<String, Object>> partsManufacturing(Map<String,Object> map);

    List<Map<String, Object>> surplusReturnTable(String item, String itemDescription);

    List<Map<String, Object>> resourceRepair(Map<String,Object> map);

    /**
     * 查询质量检验任务
     *
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findInspectionTask(Map paramMap);

    /**
     * 查询质检问题统计表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findQualityInspectionReport(Map paramMap);

    /**
     * 查询异常记录表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> findAbnormalRecord(Map paramMap);

    /**
     * 工单生产进度报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> shopOrderSchedule(Map paramMap);

    /**
     * 操作者加工进度表
     * @param paramMap 参数
     * @return 返回值
     */
    List<Map<String, Object>> findOperatorScheduleReport(Map paramMap);

    /**
     * 工作令加工进度表
     * @param paramMap 参数
     * @return  返回值
     */
    List<Map<String,Object>> findWorkOrderSchedule(Map paramMap);

    /**
     * 零件生产过程追溯报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> partsTraceScheduleReport(Map paramMap);

    /**
     * 原材料追溯报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> itemTraceScheduleReport(Map paramMap);

    /**
     * 资源任务明细报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> resourceTaskDetailReport(Map paramMap);

    /**
     * 项目进度报表
     * @param paramMap
     * @return
     */
    Map<String, Object> ProjectScheduleReport(Map paramMap);

    /**
     * 查找用户用户组
     * @param paramMap
     * @return
     */
    Map<String, Object> findUserGroupList(Map paramMap);


    /**
     * 事业部质量看板数据接口
     * @return
     */
    HashMap<String, Object> qualityShows(String user);

    /**
     * 事业部项目进度看板数据接口
     * @return
     */
    HashMap<String, Object>  projectScheduleShow(String userGroup);

    /**
     * 质量返修报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>>  qualityRepairReport(Map paramMap);

    /**
     * 资源负荷率报表(周维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> weekLoadRateReport(Map paramMap);

    /**
     * 资源负荷率报表(月维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> monthLoadRateReport(Map paramMap);

    /**
     * 交付及时率报表(周维度)
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> weekDeliveryRateReport(Map paramMap);

    /**
     * 交付及时率报表(月维度)
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> monthDeliveryRateReport(Map paramMap);

    /**
     * 项目生产加工周期报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> itemProductProgressReport(Map paramMap);

    /**
     * 质量检验响应时间报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> qualityInspectionResponseReport(Map paramMap);

    /**
     * 项目生产加工周期看板
     * @param userGroup
     * @return
     */
    Map<String, Object> projectPlanningProgress(String userGroup);

    /**
     * 设备产能负荷看板
     * @param workCenter
     * @return
     */
    Map<String, Object> capacityLoad(String workCenter);

    /**
     * 制造中心检验看板
     * @param workCenter
     * @return
     */
    Map<String, Object> manufacturingPlanning(String workCenter);

    /**
     * 入库查询报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> importStoreQueryReports(Map paramMap);

    /**
     * 项目空闲时间统计报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> projectIdleTimeStatisticsReport(Map paramMap);

    /**
     * 项目加工周期报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> projectProcessingCycleReport(Map paramMap);

    /**
     * 上工序已完成报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> lastOperationCompletedReport(Map paramMap);

    /**
     * 订单查询报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> orderQueryReportReport(Map paramMap);

    /**
     * 已派工工单明细报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> assignedWorkersOrdersReport(Map paramMap);

    /**
     * 工时统计报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> monthTimeStatisticsReport(Map paramMap);

    /**
     * 质量问题统计表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> qualityProblemsInfoReport(Map paramMap);

    /**
     * 工作令有效生产报表
     * @param paramMap
     * @return
     */
    List<Map<String, Object>> workOrderEffectiveProductionReport(Map paramMap);

    /**
     * 工作令有效生产报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> machineFinishedTimeReport(Map paramMap);

    /**
     * 客户维度已完工工时报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> customerDimensionFinishedTimeReport(Map paramMap);

    /**
     * 工时看板
     * @param user
     * @return
     */
    Map<String, Object> workHoursBoard(String user);

    /**
     * 项目齐套率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> projectAlignmentRateReport(Map paramMap);

    /**
     * 机加车间零部件工序效率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> JJComponentProcessEfficiencyReport(Map paramMap);

    /**
     * 工时统计报表(客户维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> timeStatisticsCustomerReport(Map paramMap);

    /**
     * 工时统计报表(车间维度)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> timeStatisticsWorkshopReport(Map paramMap);

    /**
     * 工时统计-车间维度看板
     * @param paramMap
     * @return
     */
    Map<String, Object> financialWorkHoursBoard(Map paramMap);

    /**
     * 资源负荷率报表(上工序已完成)
     * @param paramMap
     * @return
     */
    List<Map<String, String>> loadRatePreviousCompletedReport(Map paramMap);

    /**
     * 事业部项目进度明细看板
     * @param paramMap
     * @return
     */
    Map<String, Object> projectScheduleReportBoard(Map paramMap);

    /**
     * 上下料表维护
     * @param paramMap
     * @return
     */
    List<Map<String, String>> inventoryTableSave(Map paramMap);

    /**
     * 设备稼动率报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> operationRateOfEquipmentReport(Map paramMap);

    /**
     * 焊前件周转报表
     * @param paramMap
     * @return
     */
    List<Map<String, String>> weldingForepartsTurnoverReport(Map paramMap);

}
