package com.foreverwin.mesnac.anomaly.service;

import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillDispose;
import com.foreverwin.mesnac.anomaly.utils.OAuthTokenInfo;
import com.foreverwin.mesnac.anomaly.utils.YunBpmApiRes;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Author YinQ
 * @create 2022-08-04 14:16
 */
public interface YunBpmService {


    /**
     * 新建bpm表单
     *
     * @param formData
     * @param owner
     * @param ownerDeptId
     * @param sheetCode
     * @param workflowCode
     * @param replayToken
     * @param accessToken
     * @return
     */
    YunBpmApiRes saveForm(Object formData, String owner, String ownerDeptId, String sheetCode, String workflowCode, String replayToken, String accessToken);

    /**
     * 更新bpm表单
     *
     * @param formData
     * @param sheetCode
     * @param workflowCode
     * @param workflowFormId
     * @param workflowInstanceId
     * @param workItemId
     * @param replayToken
     * @param accessToken
     * @return
     */
    YunBpmApiRes updateForm(Object formData, String sheetCode, String workflowCode, String workflowFormId, String workflowInstanceId, String workItemId, String replayToken, String accessToken);


    /**
     * 用户鉴权
     *
     * @param userName
     * @param password
     * @return
     */
    OAuthTokenInfo getTokenByUserNameAndPassword(String userName, String password);

    /**
     * 上传附件
     * @param urlStr http://yunbpmcs.mesnac.com:8080/api/api/aliyun/upload
     * @param file 文件类
     * @param token accessToken
     **/
    String postFile(String urlStr, MultipartFile file, String token) throws IOException, InterruptedException;

    /**
     * 质量异常提报给质量bpm系统
     * @param abnormalBill
     * @param ncGroup
     * @param ncCode
     * @return
     */
    YunBpmApiRes saveQualitySystem(AbnormalBill abnormalBill, AbnormalBillDispose abnormalBillDispose, String ncGroup, String ncCode);

    /**
     * 提交待办任务
     * @author donglt
     * @date 2021/8/14 23:55
     * @param sheetCode 表单CodegetH3URL
     * @param workflowCode 工作流Code
     * @param workflowFormId 表单ID
     * @param workflowInstanceId 流程实例ID
     * @param workItemId 任务ID
     * @param replayToken ReplayToken
     * @param accessToken AccessToken
     * @return org.jeecg.modules.pq.yunbpm.bean.YunBpmApiRes
     **/
    YunBpmApiRes defaultSubmitForm(String sheetCode, String workflowCode, String workflowFormId, String workflowInstanceId, String workItemId, String replayToken, String accessToken);
}