package com.foreverwin.mesnac.anomaly.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.EquipmentAssetDetails;
import com.foreverwin.mesnac.anomaly.mapper.EquipmentAssetDetailsMapper;
import com.foreverwin.mesnac.anomaly.service.EquipmentAssetDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 * 设备资产明细 服务实现类
 * </p>
 *
 * @author YinQ
 * @since 2022-09-16
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class EquipmentAssetDetailsServiceImpl extends ServiceImpl<EquipmentAssetDetailsMapper, EquipmentAssetDetails> implements EquipmentAssetDetailsService {


    @Autowired
    private EquipmentAssetDetailsMapper equipmentAssetDetailsMapper;

    @Override
    public IPage<EquipmentAssetDetails> selectPage(FrontPage<EquipmentAssetDetails> frontPage, EquipmentAssetDetails equipmentAssetDetails) {
        QueryWrapper<EquipmentAssetDetails> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equipmentAssetDetails);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<EquipmentAssetDetails> selectList(EquipmentAssetDetails equipmentAssetDetails) {
        QueryWrapper<EquipmentAssetDetails> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equipmentAssetDetails);
        return super.list(queryWrapper);
    }


}