package com.foreverwin.mesnac.anomaly.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.WorkCentreDetails;
import com.foreverwin.mesnac.anomaly.mapper.WorkCentreDetailsMapper;
import com.foreverwin.mesnac.anomaly.service.WorkCentreDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 * SAP工作中心明细 服务实现类
 * </p>
 *
 * @author YinQ
 * @since 2022-11-29
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class WorkCentreDetailsServiceImpl extends ServiceImpl<WorkCentreDetailsMapper, WorkCentreDetails> implements WorkCentreDetailsService {


    @Autowired
    private WorkCentreDetailsMapper workCentreDetailsMapper;

    @Override
    public IPage<WorkCentreDetails> selectPage(FrontPage<WorkCentreDetails> frontPage, WorkCentreDetails workCentreDetails) {
        QueryWrapper<WorkCentreDetails> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(workCentreDetails);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<WorkCentreDetails> selectList(WorkCentreDetails workCentreDetails) {
        QueryWrapper<WorkCentreDetails> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(workCentreDetails);
        return super.list(queryWrapper);
    }


}