package com.foreverwin.mesnac.anomaly.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.anomaly.model.WxOrderReceived;
import com.foreverwin.mesnac.anomaly.mapper.WxOrderReceivedMapper;
import com.foreverwin.mesnac.anomaly.service.WxOrderReceivedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-11-14
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class WxOrderReceivedServiceImpl extends ServiceImpl<WxOrderReceivedMapper, WxOrderReceived> implements WxOrderReceivedService {


    @Autowired
    private WxOrderReceivedMapper wxOrderReceivedMapper;

    @Override
    public IPage<WxOrderReceived> selectPage(FrontPage<WxOrderReceived> frontPage, WxOrderReceived wxOrderReceived) {
        QueryWrapper<WxOrderReceived> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(wxOrderReceived);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<WxOrderReceived> selectList(WxOrderReceived wxOrderReceived) {
        QueryWrapper<WxOrderReceived> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(wxOrderReceived);
        return super.list(queryWrapper);
    }


}