package com.foreverwin.mesnac.anomaly.utils;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Approval
 * TODO
 *
 * @author donglt
 * @version 1.0
 * @date 2021/8/12 01:06
 */
@Data
@Builder
@JsonInclude(value= JsonInclude.Include.NON_NULL)
public class BizCommentModel {
    /**
     * 审批对应操作类型. 1 审批 2 协办 3 加签 4 转办 5 作废 6 结束流程 7: 系统自动添加. 其中2, 3不需要审批结果
     */
    private String actionType;

    /**
     * 节点编码
     */
    private String activityCode;

    /**
     * 节点名称
     */
    private String activityName;

    /**
     * 业务对象id
     */
    private String bizObjectId;

    /**
     * 数据项编码
     */
    private String bizPropertyCode;
    /**
     * 审批时间
     */
    private Date commentTime;
    /**
     * 审批意见内容
     */
    private String content;
    /**
     * 创建人id
     */
    private String createdBy;
    /**
     * 创建时间
     */
    private Date createdTime;
    /**
     * 创建人
     */
    private String creater;
    private Boolean deleted;
    private String id;
    /**
     * 修改人id
     */
    private Date modifiedBy;
    private Date modifiedTime;
    /**
     * 协办、加签关联用户. 格式同选人控件的存储值: [{id: "xxx", type: 3}]
     */
    private String relUsers;
    private String remarks;
    /**
     * 审批结果. 1: 同意, 2: 不同意, 3: 转办, 0或null: 空(无意义的值)',
     */
    private String result;
    /**
     * 数据模型编码
     */
    private String schemaCode;
    /**
     * 任务id
     */
    private Integer tokenId;
    /**
     * 任务id
     */
    private String workItemId;
    /**
     * 流程实例id
     */
    private String workflowInstanceId;
    /**
     * 任务的TokenId
     */
    private String workflowTokenId;

    /**
     * 关联的附件资源
     **/
    private List<AttachmentModel> resources;
}
