package com.foreverwin.mesnac.anomaly.utils;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * @Author YinQ
 * @create 2022-08-02 15:17
 */
@Data
@Builder
@JsonInclude(value= JsonInclude.Include.NON_NULL)
public class BizObjectModel {
    /**
     * 创建人部门
     */
    private String createdDeptId;
    /**
     * 创建时间
     */
    private Date createdTime;
    /**
     * 创建人
     */
    private String creater;
    /**
     * 业务数据对象，数据格式与对应的业务模型一致
     */
    private Object data;
    /**
     * 业务对象ID
     */
    private String id;
    /**
     * 是否是从数据库加载的对象
     */
    private String loadedFromDb;
    /**
     * 修改时间
     */
    private Date modifiedTime;
    /**
     * 创建人部门
     */
    private String modifier;
    /**
     * 名称
     */
    private String name;
    /**
     * 所有人
     */
    private String owner;
    /**
     * 所有人部门
     */
    private String ownerDeptId;
    /**
     * 部门查询编码
     */
    private String ownerDeptQueryCode;
    /**
     * 部门查询编码
     */
    private String schemaCode;
    /**
     * 单据号
     */
    private String sequenceNo;

    private String sequenceStatus;

    private String sheetCode;
    /**
     * 业务数据对象状态
     */
    private String status;
    /**
     * 流程实例ID
     */
    private String workflowInstanceId;

}