package com.foreverwin.mesnac.anomaly.utils;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Builder;
import lombok.Data;

/**
 * 提交待办任务
 *
 * @author donglt
 * @version 1.0
 * @date 2021/8/12 00:58
 */
@Data
@Builder
@JsonInclude(value= JsonInclude.Include.NON_NULL)
public class SubmitFormModel {
    /** 审批意见 */
    private BizCommentModel approval;

    /** 业务数据对象 */
    private BizObjectModel bizObject;

    /** 操作按钮编码，提交submit，同意agree，不同意disAgree */
    private String actionCode;

    /** 是否同意, true:同意。false:不同意 */
    private Boolean agree;

    /** 用户选择部门id*/
    private String depatmentId;

    /** 表单类型： 1：流程表单，2：业务表单*/
    private String formType;

    private String owner;

    /** 重放验证码 */
    private String replayToken;

    /** 运行模式，0：自动；1：手动*/
    private String runMode;

    private Boolean simulative;

    /** 委托人id */
    private String trustor;

    /** 任务id*/
    private String workItemId;

    /** 流程编码*/
    private String workflowCode;

    /** 流程实列id */
    private String workflowInstanceId;
}
