package com.foreverwin.mesnac.common.controller;

import com.foreverwin.mesnac.common.ftp.DrawingFtpClient;
import com.foreverwin.mesnac.common.ftp.JSchClient;
import com.foreverwin.mesnac.common.ftp.WorkmanshipCardFtpClient;
import com.foreverwin.mesnac.common.service.FileService;
import com.foreverwin.mesnac.common.util.HttpUtils;
import com.foreverwin.mesnac.meapi.util.StringUtils;
import com.foreverwin.modular.core.exception.BaseException;
import com.foreverwin.modular.core.util.CommonMethods;
import com.foreverwin.modular.core.util.R;
import com.jcraft.jsch.Channel;
import com.jcraft.jsch.ChannelSftp;
import com.jcraft.jsch.JSch;
import com.jcraft.jsch.Session;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPFile;
import org.apache.poi.ss.usermodel.Workbook;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.*;
import java.util.Map;
import java.util.Properties;

/**
 * @author roc_li
 * @since 2020-11-03
 */
@Controller
@Component
@RequestMapping("/files")
public class FileController {

    private final Logger logger = LoggerFactory.getLogger(FileController.class);

    private static String TYPE=null;

    @Autowired
    private FileService fileService;

    @Autowired
    public DrawingFtpClient ftpClient;

    @Autowired
    private DrawingFtpClient drawingFtpClient;
    @Autowired
    public WorkmanshipCardFtpClient workmanshipCardFtpClient;

    @Autowired
    public  JSchClient jSchClient;




    /**
     * 获取图号路径
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(method = RequestMethod.GET, value = "/getPdfPath")
    public R getPdfPath(@RequestParam("sfc") String sfc, @RequestParam("operation") String operation, @RequestParam("step") String step) {
        try {
            if (StringUtils.isBlank(sfc)) {
                throw new BaseException("派工单号不能为空!");
            }
           /* Map<String, String> paths = fileService.getFilePathsByItemBoSFTP(sfc);
            if (paths.size() == 0) {
                throw new BaseException("未找到当前工序的图纸版本号和工艺卡片相应信息,请联系计划部门确认!");
            }
            return R.ok(paths);*/
            String site = CommonMethods.getSite();
            return R.ok(fileService.getFilePaths(site, sfc, operation, step));
        } catch (Exception e) {
            return R.failed("获取图纸路径失败:" + e.getMessage());
        }
    }

    /**
     * 获取图号路径-根据输入的物料号
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(method = RequestMethod.GET, value = "/getPdfPathByItem")
    public R getPdfPathByItemBo(String itemBo,String type,String version) {
        if (StringUtils.isBlank(itemBo)) {
            throw new BaseException("物料编码不能为空!");
        }
        try {

            Map<String, String> paths = fileService.getFilePathsByItemBoSFTP(itemBo,type,version);
            if (paths.size() == 0) {
                throw new BaseException("未找到当前工序的图纸版本号或工艺卡片相应信息!");
            }
            return R.ok(paths);
        } catch (Exception e) {
            return R.failed("获取文件路径失败:" + e.getMessage());
        }
           /* try {
                if(StringUtils.isBlank(itemBo)) {
                    throw new BaseException("物料编码不能为空!");
                }
                return R.ok(fileService.getFilePathsByItemBo(itemBo));
            } catch (Exception e) {
                return R.failed("获取图纸路径失败:" + e.getMessage());
            }*/
    }

    /**
     * 获取图纸
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(method = RequestMethod.GET, value = "/{fileName}")
    public R getPdfNew(HttpServletRequest request, HttpServletResponse response) {
        InputStream in = null;
        OutputStream out = null;
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        String path = request.getParameter("Path");
        String type = request.getParameter("Type");
        try {
            //服务器发布
            //String coderPath = new String(path.getBytes("ISO8859_1"));
            //String newPath = new String(coderPath.getBytes("GBK"), FTPClient.DEFAULT_CONTROL_ENCODING);
            //in = ftpClient.getFtp(path);
//            if (null == in && Type.equals("DRAWING")) {
//                 in= fileService.getSFTP(path);
//                // in = workmanshipCardFtpClient.getFtp(new String(path.getBytes("GBK"), FTPClient.DEFAULT_CONTROL_ENCODING));
//            }
            if (null == in) {
                if (type.equals("DRAWING")){
                    jSchClient = new JSchClient(drawingFtpClient.getAddress(), drawingFtpClient.getUserName(),
                            drawingFtpClient.getPassword(), drawingFtpClient.getPort());
                    jSchClient.connectSFTP();
                   in = jSchClient.getSFTP(path);
                //    in = fileService.getSFTP(path);
                }else {
                    in = workmanshipCardFtpClient.getFtp(new String(path.getBytes("GBK"), FTPClient.DEFAULT_CONTROL_ENCODING));
                }

            }
            //本地测试
            /*String newPath = new String(path.getBytes("GBK"), FTPClient.DEFAULT_CONTROL_ENCODING);
            in = plmFtpClient.getFtp(newPath);
            if(null == in){
                in = plmFtpClient.getFtp(new String(path.getBytes("UTF-8"), FTPClient.DEFAULT_CONTROL_ENCODING));
            }*/
            if (null == in) {
                throw new BaseException("获取文件路径为:【" + path + "】的文件流失败!");
            }

           /* int len = 0;
            byte[] buffer = new byte[1024];
            while((len = in.read(buffer)) != -1){
                outStream.write(buffer, 0, len);
            }
            outStream.close();
            in.close();
            byte[] data = outStream.toByteArray();
            out = response.getOutputStream();
            out.write(data);
            out.flush();*/
            byte[] buffer = new byte[1024];
            int len = 0;
            while ((len = in.read(buffer)) != -1) {
                outStream.write(buffer, 0, len);
            }
            byte[] data = outStream.toByteArray();
            out = response.getOutputStream();
            out.write(data);
            out.flush();
        } catch (Exception e) {
            return R.failed("获取文件失败:文件路径为" + path + ":" + e.getMessage());
        } finally {
            try {
                if (null != out) {
                    out.close();
                }
                if (null != in) {
                    in.close();
                }
                if (null != outStream){
                    outStream.close();
                }

                if (jSchClient != null ){
                    jSchClient.close();
                }
            } catch (Exception e1) {
                return R.failed("获取文件失败:关闭文件流处理异常" + e1.getMessage());
            }
        }
        return R.ok(null, "获取文件成功!");
    }

    /**
     * 获取文件流
     *
     * @return
     */
//    @ResponseBody
//    @RequestMapping(method = RequestMethod.GET, value = "/LabelPrintPdf/{fileName}")
//    public R getLabelPrintPdf(HttpServletRequest request, HttpServletResponse response, @PathVariable("fileName") String fileName) {
//        InputStream in = null;
//        OutputStream out = null;
//        String path = request.getParameter("Path").replace('-', '/');
//        ;
//        try {
//            //服务器发布
//            in = ftpClient.getFtp(path);
//            if (null == in) {
//                in = ftpClient.getFtp(new String(path.getBytes("GBK"), FTPClient.DEFAULT_CONTROL_ENCODING));
//            }
//
//            if (null == in) {
//                throw new BaseException("获取FTP文件路径为:【" + path + "】的文件流失败!");
//            }
//            ByteArrayOutputStream buffer = new ByteArrayOutputStream();
//            int nRead;
//            byte[] data = new byte[16384];
//            while ((nRead = in.read(data, 0, data.length)) != -1) {
//                buffer.write(data, 0, nRead);
//            }
//            byte[] data2 = buffer.toByteArray();
//            out = response.getOutputStream();
//            out.write(data2);
//            out.flush();
//
//        } catch (Exception e) {
//            return R.failed("下载文件失败:文件路径为" + path + ":" + e.getMessage());
//        } finally {
//            try {
//                if (null != out) {
//                    out.close();
//                }
//                if (null != in) {
//                    in.close();
//                }
//
//            } catch (Exception e1) {
//                return R.failed("下载文件失败:关闭文件流处理异常" + e1.getMessage());
//            }
//        }
//        return R.ok(null, "下载文件成功!");
//    }

    public static char byteToChar(byte[] b) {
        int hi = (b[0] & 0xFF) << 8;
        int lo = b[1] & 0xFF;
        return (char) (hi | lo);
    }

}