package com.foreverwin.mesnac.common.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.foreverwin.mesnac.common.model.ExcelColumn;

/**
 * <p>
 * 操作日志记录
 * </p>
 *
 * @author YinQ
 * @since 2023-02-01
 */

@TableName("Z_OPER_LOG")
public class OperLog extends Model<OperLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelColumn(value = "主键")
    @TableId(value = "HANDLE", type = IdType.INPUT)
    private String handle;
    /**
     * 场地
     */
    @ExcelColumn(value = "场地")
    @TableField("SITE")
    private String site;
    /**
     * 业务标题
     */
    @ExcelColumn(value = "业务标题")
    @TableField("TITLE")
    private String title;
    /**
     * 方法名称
     */
    @ExcelColumn(value = "方法名称")
    @TableField("METHOD")
    private String method;
    /**
     * 请求参数
     */
    @ExcelColumn(value = "请求参数")
    @TableField("OPER_PARAM")
    private String operParam;
    /**
     * 返回参数
     */
    @ExcelColumn(value = "返回参数")
    @TableField("RESULT")
    private String result;
    /**
     * 错误消息
     */
    @ExcelColumn(value = "错误消息")
    @TableField("ERROR_MSG")
    private String errorMsg;
    /**
     * 操作人
     */
    @ExcelColumn(value = "操作人")
    @TableField("OPER_USER")
    private String operUser;
    /**
     * 操作时间
     */
    @ExcelColumn(value = "操作时间")
    @TableField("OPER_TIME")
    private LocalDateTime operTime;


    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getOperParam() {
        return operParam;
    }

    public void setOperParam(String operParam) {
        this.operParam = operParam;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getOperUser() {
        return operUser;
    }

    public void setOperUser(String operUser) {
        this.operUser = operUser;
    }

    public LocalDateTime getOperTime() {
        return operTime;
    }

    public void setOperTime(LocalDateTime operTime) {
        this.operTime = operTime;
    }

    public static final String HANDLE = "HANDLE";

    public static final String SITE = "SITE";

    public static final String TITLE = "TITLE";

    public static final String METHOD = "METHOD";

    public static final String OPER_PARAM = "OPER_PARAM";

    public static final String RESULT = "RESULT";

    public static final String ERROR_MSG = "ERROR_MSG";

    public static final String OPER_USER = "OPER_USER";

    public static final String OPER_TIME = "OPER_TIME";


    @Override
    protected Serializable pkVal() {
        return this.handle;
    }

    @Override
    public String toString() {
        return "OperLog{" +
                "handle = " + handle +
                ", site = " + site +
                ", title = " + title +
                ", method = " + method +
                ", operParam = " + operParam +
                ", result = " + result +
                ", errorMsg = " + errorMsg +
                ", operUser = " + operUser +
                ", operTime = " + operTime +
                "}";
    }

}