package com.foreverwin.mesnac.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.mapper.OperLogMapper;
import com.foreverwin.mesnac.common.model.OperLog;
import com.foreverwin.mesnac.common.service.OperLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.foreverwin.modular.core.util.FrontPage;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 * 操作日志记录 服务实现类
 * </p>
 *
 * @author YinQ
 * @since 2023-02-01
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class OperLogServiceImpl extends ServiceImpl<OperLogMapper, OperLog> implements OperLogService {


    @Autowired
    private OperLogMapper operLogMapper;

    @Override
    public IPage<OperLog> selectPage(FrontPage<OperLog> frontPage, OperLog operLog) {
        QueryWrapper<OperLog> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(operLog);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<OperLog> selectList(OperLog operLog) {
        QueryWrapper<OperLog> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(operLog);
        return super.list(queryWrapper);
    }

    @Override
    public void logSave(OperLog operLog) {
        operLogMapper.insert(operLog);
    }


}