package com.foreverwin.mesnac.common.util;

import org.springframework.beans.factory.annotation.Value;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileOutputStream;

public class DrawPrepareProducts {


    /**
     *
     * @param srcImgPath
     * @param outImgPath
     * @param markContentColor
     * @param shf
     * @param wlms
     * @param sl
     * @param ddh
     * @param gx
     * @param xlcc
     * @param cptm
     * @param wlbm
     */
    public static void mark(String srcImgPath, String outImgPath, Color markContentColor, String shf,
                            String wlms, String sl, String ddh, String gx, String xlcc, String cptm,String ItemTypeOrder, String wlbm){
        try {
            // 读取原图片信息
            File srcImgFile = new File(srcImgPath);
            BufferedImage srcImg = ImageIO.read(srcImgFile);
            int srcImgWidth = srcImg.getWidth(null);
            int srcImgHeight = srcImg.getHeight(null);
            // 加水印
            BufferedImage bufImg = new BufferedImage(srcImgWidth, srcImgHeight, BufferedImage.TYPE_INT_RGB);
            Graphics2D g = bufImg.createGraphics();
            g.drawImage(srcImg, 0, 0, srcImgWidth, srcImgHeight, null);
//             Font font = new Font("Courier New", Font.PLAIN, 12);
            Font font = new Font("Serif", Font.PLAIN, 20);
            g.setColor(markContentColor); // 根据图片的背景设置水印颜色
            g.setFont(font);
            g.drawString(shf, 100, 40);
            g.drawString(wlms, 100, 100);
            g.drawString(sl, 120, 150);
            g.drawString(ddh, 410, 150);
            if(gx.length()<=30)
            {
                g.drawString(gx, 100, 240);
            }
            if (gx.length()>30&&gx.length()<=60)
            {
                g.drawString(gx.substring(0,30), 100, 235);
                g.drawString(gx.substring(30), 100, 255);
            }
            if (gx.length()>60&&gx.length()<=90)
            {
                g.drawString(gx.substring(0,30), 100, 215);
                g.drawString(gx.substring(30,60), 100, 235);
                g.drawString(gx.substring(60), 100, 255);
            }else if (gx.length()>90){
                g.drawString(gx.substring(0,30), 100, 205);
                g.drawString(gx.substring(30,60), 100, 225);
                g.drawString(gx.substring(60,90), 100, 245);
                g.drawString(gx.substring(90), 100, 265);
            }
            g.drawString("280*360*410", 100, 310);
            g.drawString(cptm, 100, 360);
            g.drawString("RK", 370, 360);
            g.drawString(wlbm, 100, 420);
            g.dispose();
            //插入生成好的二维码图片
//            QRUtils.insertImage(bufImg,"D:\\img\\QRCODE.jpg",false);
            QRUtils.insertImage(bufImg,"/exportpdf/QRCODE.jpg",false);
            // 输出图片
            FileOutputStream outImgStream = new FileOutputStream(outImgPath);
            ImageIO.write(bufImg, "jpg", outImgStream);
            outImgStream.flush();
            outImgStream.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
