package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.LogisticsDto;
import com.foreverwin.mesnac.meapi.model.LogisticsTurnover;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.StoreSfcInfo;
import com.foreverwin.modular.core.util.FrontPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-08
 */
@Repository
public interface LogisticsTurnoverMapper extends BaseMapper<LogisticsTurnover> {

    IPage<LogisticsDto> selectLogisticsDtoPage(FrontPage<LogisticsDto> frontPage, LogisticsDto logisticsDto);

    List<LogisticsDto> queryLogisticsTurnoverList(@Param("HJHJ") String HJHJ,@Param("HJXL") String HJXL,@Param("JJ") String JJ,@Param("WX") String WX,@Param("RC") String RC,@Param("ZP") String ZP);

    LogisticsTurnover queryNewtistTurnoverTask(String sfcDispatchBo);

    List<LogisticsDto> selectlogisticsturnoverlist(LogisticsDto logisticsDto);

    StoreSfcInfo storeSelectSfc(String sfc);

    int insertRecordInStore(@Param("sfc") String sfc,
                            @Param("qty") double qty,
                            @Param("inStoreType") int inStoreType,
                            @Param("user") String user,
                            @Param("storeLocation") String storeLocation);

    int countLedgerBySfc(String sfc);

    void updateRecordLedger(@Param("sfc") String sfc,
                            @Param("qty") double qty);

    void insertRecordLedger(@Param("sfc") String sfc,
                            @Param("qty") double qty,
                            @Param("storeLocation") String storeLocation);

    Map messageMap();
}