package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.AbnormalRouterDto;
import com.foreverwin.mesnac.meapi.dto.RouterStepDto;
import com.foreverwin.mesnac.meapi.model.DisRouter;
import com.foreverwin.mesnac.meapi.model.RouterStep;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
@Repository
public interface RouterStepMapper extends BaseMapper<RouterStep> {

    List<RouterStepDto> findRouterOperationByRouterBo(@Param("site") String site, @Param("routerBo") String routerBO, @Param("locale")String locale);
    IPage<AbnormalRouterDto> findRouterRouterAbnormal(IPage<AbnormalRouterDto> page, @Param("locale") String locale, @Param("ew") Wrapper<AbnormalRouterDto> wrapper);
//    List<AbnormalRouterDto> findRouterRouterAbnormal(@Param("site") String site, @Param("locale")String locale);

    /**
     * 查询工艺路线所有步骤
     * @return Map
     */
    List<Map<String,String>> findRouterAllStep(@Param("disRouter") DisRouter disRouter,@Param("site") String site);
}