package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.dto.AbnormalRouterDto;
import com.foreverwin.mesnac.meapi.model.DisRouter;
import com.foreverwin.mesnac.meapi.model.Router;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.RouterStep;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface RouterService extends IService<Router> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Router> selectPage(FrontPage<Router> frontPage, Router router);

    List<Router> selectList(Router router);

    Router getRouterBySfcBo(String sfcBo);

    Router getCurrentRouter(String routerBo);

    /**
     * 查询最大版本的工艺路线
     *
     * @param site
     * @param router
     * @return
     */
    Router getMaxRevisionRouter(String site, String router);

    void CreateDisRouter(DisRouter disRouter)  throws Exception;

//    //判断是否为返修工序
    RouterStep findRepairOperation(String site, String routerBo, String stepId);

    List<AbnormalRouterDto> selectDisrouter(AbnormalRouterDto abnormalRouterDto);

    List<AbnormalRouterDto> selectAllDisRouter(AbnormalRouterDto abnormalRouterDto);

    /**
     * 放置图片
     * @param disRouter
     */
    public void fileUpload(DisRouter disRouter,String routerBo,String stepId);
}