package com.foreverwin.mesnac.meapi.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Location;
import com.foreverwin.mesnac.meapi.mapper.LocationMapper;
import com.foreverwin.mesnac.meapi.service.LocationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-04
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LocationServiceImpl extends ServiceImpl<LocationMapper, Location> implements LocationService {


    @Autowired
    private LocationMapper locationMapper;

    @Override
    public IPage<Location> selectPage(FrontPage<Location> frontPage, Location location) {
        QueryWrapper<Location> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(location);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<Location> selectList(Location location) {
        QueryWrapper<Location> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(location);
        return super.list(queryWrapper);
    }

    @Override
    public Location getLocation(String locationcode) {
        return locationMapper.getLocation(locationcode);
    }


}