package com.foreverwin.mesnac.meapi.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.LogisticsBill;
import com.foreverwin.mesnac.meapi.mapper.LogisticsBillMapper;
import com.foreverwin.mesnac.meapi.service.LogisticsBillService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author YANG.WL
 * @since 2022-08-05
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LogisticsBillServiceImpl extends ServiceImpl<LogisticsBillMapper, LogisticsBill> implements LogisticsBillService {


    @Autowired
    private LogisticsBillMapper logisticsBillMapper;

    @Override
    public IPage<LogisticsBill> selectPage(FrontPage<LogisticsBill> frontPage, LogisticsBill logisticsBill) {
        QueryWrapper<LogisticsBill> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(logisticsBill);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<LogisticsBill> selectList(LogisticsBill logisticsBill) {
        QueryWrapper<LogisticsBill> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(logisticsBill);
        return super.list(queryWrapper);
    }


}