package com.foreverwin.mesnac.meapi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.foreverwin.mesnac.meapi.dto.UploadPicturesDto;
import com.foreverwin.mesnac.meapi.mapper.PicturesMapper;
import com.foreverwin.mesnac.meapi.service.PicturesService;
import com.foreverwin.modular.core.util.FrontPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zjw
 * @since 2021-09-09
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class PicturesServiceImpl extends ServiceImpl<PicturesMapper, UploadPicturesDto> implements PicturesService {


    @Autowired
    private PicturesMapper uploadPicturesMapper;

    @Override
    public IPage<UploadPicturesDto> selectPage(FrontPage<UploadPicturesDto> frontPage, UploadPicturesDto uploadPictures) {
        QueryWrapper<UploadPicturesDto> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(uploadPictures);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<UploadPicturesDto> selectList(UploadPicturesDto uploadPictures) {
        QueryWrapper<UploadPicturesDto> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(uploadPictures);
        return super.list(queryWrapper);
    }


}