package com.foreverwin.mesnac.meapi.service.impl;

import com.foreverwin.mesnac.meapi.dto.UploadPicturesDto;
import com.foreverwin.modular.core.exception.BusinessException;
import com.foreverwin.modular.core.util.CommonMethods;
import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.RouterStepcontent;
import com.foreverwin.mesnac.meapi.mapper.RouterStepcontentMapper;
import com.foreverwin.mesnac.meapi.service.RouterStepcontentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Leon.L
 * @since 2022-06-07
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class RouterStepcontentServiceImpl extends ServiceImpl<RouterStepcontentMapper, RouterStepcontent> implements RouterStepcontentService {


    @Autowired
    private RouterStepcontentMapper routerStepcontentMapper;


    @Override
    public IPage<RouterStepcontent> selectPage(FrontPage<RouterStepcontent> frontPage, RouterStepcontent routerStepcontent) {
        QueryWrapper<RouterStepcontent> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(routerStepcontent);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<RouterStepcontent> selectList(RouterStepcontent routerStepcontent) {
        QueryWrapper<RouterStepcontent> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(routerStepcontent);
        return super.list(queryWrapper);
    }

    @Override
    public List<Map<String, Object>> selectDisRouterInfo(Map paramMap) {
        return routerStepcontentMapper.selectDisRouterInfo(paramMap);
    }



    @Override
    public List<String> pbDescription(Map paramMap) {
        return routerStepcontentMapper.findpbDescription(paramMap);
    }

    @Override
    public UploadPicturesDto findUploadPictureByRouterBo(String routerBo,String status) {
        String site = CommonMethods.getSite();
        UploadPicturesDto uploadPictures = new UploadPicturesDto();
        uploadPictures.setSite(site);
        uploadPictures.setObjectBo(routerBo);
        uploadPictures.setStatus(status);
        List<UploadPicturesDto> uploadPictures1=new ArrayList<>();
        try {
             uploadPictures1 = routerStepcontentMapper.findUploadPictureByRouterBo(uploadPictures);
        }catch (Exception e){
            throw BusinessException.build(e.getMessage().trim());
        }

        if(uploadPictures1 != null && uploadPictures1.size() == 1){
            return  uploadPictures1.get(0);
        }
        return null;
    }


}